name: radenv-W05A
plugins:
- name: panda-metsense
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-metsense:v1.0.2
    selector:
      zone: enclosure
    resource:
      request.cpu: 10m
      limit.cpu: 500m
      request.memory: 50Mi
      limit.memory: 500Mi
- name: panda-raingauge
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-raingauge:v1.0.1
    selector:
      zone: enclosure
    resource:
      request.cpu: 10m
      limit.cpu: 500m
      request.memory: 50Mi
      limit.memory: 500Mi
- name: panda-dbaserh
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-dbaserh:v1.0.12
    resource:
      request.cpu: 100m
      limit.cpu: 500m
      request.memory: 100Mi
      limit.memory: 500Mi
    privileged: true
    selector:
      zone: core
    env:
      CRYSTAL_SER: 65008-00804
      DBASERH_SER: 21223133
      DBASERH_HV: 1100
      DBASERH_FGN: 0.45
      DBASERH_LLD: 12
- name: panda-dbaserh-agg
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-listmode-agg:v1.0.4
    resource:
      request.cpu: 100m
      limit.cpu: 500m
      request.memory: 100Mi
      limit.memory: 500Mi
    selector:
      zone: core
    env:
      MODE: daq_listmode_aggregator
- name: panda-calib
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-calib:v1.0.8
    resource:
      request.cpu: 200m
      limit.cpu: 2000m
      request.memory: 100Mi
      limit.memory: 1Gi
    selector:
      zone: core
    env:
      INTTIME: 240
      OVERLAP: 180
      FAR: 0.125
- name: panda-rosbag-radenv
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-rosbag:v1.0.1
    resource:
      request.cpu: 100m
      limit.cpu: 1000m
      request.memory: 100Mi
      limit.memory: 500Mi
    env:
      SIZE: 256
      BAGDIR: /home/panda/mount/bags
      PRFX: panda-radenv-stream
      TOPICS: "/sensors/env/temperature /sensors/env/pressure /sensors/env/humidity /sensors/raingauge /dbaserh/listmode /calib/listmode /calib/params"
nodeTags: []
nodes:
  W05A: null
scienceRules:
- 'schedule(panda-metsense): True'
- 'schedule(panda-raingauge): True'
- 'schedule(panda-dbaserh): True'
- 'schedule(panda-dbaserh-agg): True'
- 'schedule(panda-calib): True'
- 'schedule(panda-rosbag-radenv): True'
successcriteria:
- WallClock(1d)
